#ifndef CA_PROGRAM_H_
#define CA_PROGRAM_H_ 1
#include <stdio.h>
#include <stdint.h>

typedef struct ca_program {
	uint16_t len; /* number of instructions*/
	uint8_t* data;	/*instructions*/
} ca_program_t;

/*reads in one program*/
int read_program(ca_program_t *program, char *infile);
/*reads in all programs*/
ca_program_t** read_programs(char *if_basename);
/*reads in initial state*/
uint8_t* read_initial_state(char *if_basename);
#endif
