#include <stdio.h>
#include "datalink.h"
#include "emb.h"
#include "fpga_config.h"

int
main(int argc, char** argv)
{
	int response;

	if (setup_datalink() < 0 )
		exit(1);

	config_fpga("../fpga_code/EMB/toplevel.rbt", 40000);
	if((response = getResponse()) != RESP_OK) {
		fprintf(stderr, "program_fpga: failed with code %d\n", response); //these response codes might not actually be in use, check command.c
		exit(1);
	}

	unsetup_datalink();
	return 0;
}
