#include <stdio.h>
#include "datalink.h"
#include <stdint.h>
#include <strings.h>
#include <arpa/inet.h> //byte-conversion
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "fpga_config.h"
#include "emb.h"

#include "pin.h"

int main(void)
{
    setup_datalink();
    unsetup_datalink();
    setup_datalink();
    //config_fpga("toplevel.rbt", 40000);
    pinconfig_t * conf = init_config(64);

    uint8_t patterndata[2];
    
    patterndata[0] = 0x11;

    pattern_t pat;
    pat.data = patterndata;

    //Configure first 8 pins to be output
    int i;
    for(i = 0; i < 8; i++) {
        conf->pins[i].mode = PIN_OUT; 
    }

    pattern_t * ret;

    //printf("stable: %d\n", detectStabilityPattern(200, 1000, 2000, &pat, conf));
/*	for(i=0;i<10;i++) {
	setPattern(&pat, conf);
}*/
	setPattern(&pat, conf);
	evoframe_t* frame = recv_frame();
	printf("Recieved: %x\n", *frame->data);
/*	char cs[15];
	cs[15] = '\0';
	for(i=0;i<14;i++) {
		cs[i] = vport_read_byte();
		printf("%c\n", cs[i]);
	}*/
//	printf("Recieved: %s\n", cs);
/*	int j;
	char cs[39];
	char cs2[39];
for(i=0;i<39;i++) {
	vport_write_byte(cs[i]);
}
for(i=0;i<39;i++) {
	cs2[i] = vport_read_byte();
}
for(i=0;i<39;i++) {
	printf("cs: %x. cs2: %x\n", cs[i], cs2[i]);
}
for(i=0;i<39;i++) {
	vport_write_byte(cs[i]);
}
for(i=0;i<39;i++) {
	cs2[i] = vport_read_byte();
}
for(i=0;i<39;i++) {
	printf("cs: %x. cs2: %x\n", cs[i], cs2[i]);
}*/
    unsetup_datalink();
    return 0;
}
