#include "fpga_mem.h"
#include "command.h"


void
core_program(uint8_t *data, uint32_t length)
{
	uint32_t nread = 16;
	uint32_t i;
	uint8_t n_inst;
	uint8_t corenum = 0;

	while(nread < length) {
		n_inst = data[nread++];
		fpga_mem_copyto(core_offset(corenum)*2, data+nread, n_inst);
		corenum++;
		nread += n_inst;
	}
}
